
Redmine - Feature #732

Bulk copy & move selected issues

2008-02-24 14:54 - sunday walker

Status: New Start date: 2008-02-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I love Redmine.

I think that it wants the following functions.

Bulk copy & move selected issues

The relationship between a child and his parents is kept with Ishuu after it copies it.

It is possible to copy it onto different Toracker.

The copy origin and the relation are set.

There is an item named Build, and the value can be set.

Assumption of use

Tracker: Requirement, Function, Test case, Test, Bug

Copy form to: Requirement->Test case, Requirement->Function, Function->Test case, Test->Bug

Tracker is changed to to.

The copy origin and the relation are set.

Status is changed to New.

The relationship between a child and his parents is kept with Ishuu after it

copies it.

Copy form to: Test case->Test

Tracker is changed to to.

The copy origin and the relation are set.

Status is changed to New.

The relationship between a child and his parents is kept with Ishuu after it copies it.

Set value to Fixed version

Set value to Build.

Related issues:

Related to Redmine - Feature #4117: Allow copy of multiple issues between pro... Closed 2009-10-26

Related to Redmine - Patch #7447: Patch for improved move/copy New 2011-01-25

History

#1 - 2008-02-24 14:56 - sunday walker

Please change Tracker to the function.

#2 - 2009-10-21 15:25 - nicolas bertet

Isotrol RequMNGT Redmine Plugin manage requirement, use case, testcase, traceability, baseline concepts according to the OpenUP and CMMi

metodology .

You can download it here:

http://forge.isotrol.org/projects/list_files/org00006-requmngt

http://www.isotrol.org

#3 - 2009-10-21 16:29 - sunday walker

nicolas bertet wrote:

Isotrol RequMNGT Redmine Plugin manage requirement, use case, testcase, traceability, baseline concepts according to the OpenUP and

CMMi metodology .

You can download it here:
http://forge.isotrol.org/projects/show/org00006-requmngt
http://epf.eclipse.org/wikis/openup/
http://forge.isotrol.org/projects/list_files/org00006-requmngt
http://www.isotrol.org
http://forge.isotrol.org/projects/show/org00006-requmngt
http://epf.eclipse.org/wikis/openup/


http://forge.isotrol.org/projects/list_files/org00006-requmngt

http://www.isotrol.org

 Thank you for the presentation of the plugin.

I read document and WiKi, but was not able to understand the function of the plugin definitely.

Please teach to me the functions details.

http://forge.isotrol.org/projects/list_files/org00006-requmngt

requMNGT_plugin_redmine_v0.7.0_beta_doc.zip

http://forge.isotrol.org/wiki/org00006-requmngt

One good tool managing requirements and test cases is TestLink.

http://www.teamst.org/index.php

Is there the comparison list of the functions ?

The list will help me understand the functions.

#4 - 2011-03-05 19:46 - Terence Mill

Is there a demo site for Isotrol RequMNGT Redmine Plugin ?

#5 - 2011-07-13 19:17 - Etienne Massip

- Category set to Issues

#6 - 2013-06-13 20:29 - @ go2null

Bulk copy & move selected issues

 0.7 includes Bulk edit/move/delete tickets.

The relationship between a child and his parents is kept with Ishuu after it copies it.

 That's there in 2.1.6 - not sure from which version though.

It is possible to copy it onto different Toracker.

 #4117#note-2 has a screen shot indicating this funstionality existed at the time of 0.9.0

The copy origin and the relation are set.

 Patch #7447 includes this for 1.0.4 and 1.1.0

There is an item named Build, and the value can be set.

 0.9.0 - #461 provides bulk editing custom fields (for Build field.)

Overall, Feature #1125 implemented in 0.9.0, has a workable solution (except for the Copy relation).

#7 - 2013-06-15 17:37 - Toshi MARUYAMA

- Related to Patch #7447: Patch for improved move/copy added
